#!/bin/bash
#comments

FILTER_DIR="/usr/lib/cups/filter"
DRVNAME="cupsdrv_label"
DRVNAME1="cupsdrvlabel"


if [ `whoami` != "root" ];then
      echo "请使用root用户进行安装！"
      exit
fi


ISINSTALL="0"
if [ -x $FILTER_DIR/rastertobplz ] || [ -x $FILTER_DIR/rastertobpla ]; then
    	echo "需先卸载已有驱动，请选择： 1－卸载后安装  2－退出安装"    
   	read  ISINSTALL
	if [ $ISINSTALL =  "1" ];then
	   echo "卸载后安装" 
	else
	   echo "退出安装" 
	   exit
	fi 
fi

if [ `arch` == "i386" ] || [ `arch` == "i486" ] || [ `arch` == "i586" ] || [ `arch` == "i686" ] || [ `arch` == "x86_64" ]; then
  SYSARCH='x86'
elif [ `arch` == "mips64" ]; then
  SYSARCH='mips64'
   if [ $ISINSTALL =  "1" ];then
    dpkg -r $DRVNAME1
   fi
   dpkg -i *mips64el.deb
   exit
elif [ `arch` == "aarch64" ]; then
  SYSARCH='arm64'
   if [ $ISINSTALL =  "1" ];then
    dpkg -r $DRVNAME1
   fi
   dpkg -i *arm64.deb
   exit
elif [ `arch` == "sw_64" ]; then
  SYSARCH='sw_64'
   if [ $ISINSTALL =  "1" ];then
    dpkg -r $DRVNAME1
   fi
   dpkg -i *sw_64.deb
   exit
else
    echo "不支持此系统"
   exit
fi


  debinfo=`which dpkg 2> /dev/null`
  rpminfo=`which rpm  2> /dev/null`
  if [ "$rpminfo" != "" ]; then
    DISTRO="rpm"	
  elif [ "$debinfo" != "" ]; then
    DISTRO="deb"	
  else
   echo "安装包不支持此系统"
   exit
  fi




if [ $(getconf WORD_BIT) = '32' ] && [ $(getconf LONG_BIT) = '64' ] ; then
     DISBIT="64"
else
     DISBIT="32"
fi

if [ $SYSARCH = "x86" ] && [ $DISTRO = "rpm" ] && [ $DISBIT = "32" ]; then
   if [ $ISINSTALL =  "1" ];then
    rpm -e $DRVNAME
   fi
  rpm -i *i386.rpm
  RPMRTN=`rpm -q cupsdrv_label`
  result=$(echo $RPMRTN | grep "cupsdrv_label-")
  if [ "$result" != "" ]; then
   echo "拷贝安装成功！"
  fi
  exit
elif [ $SYSARCH = "x86" ] && [ $DISTRO = "rpm" ] && [ $DISBIT = "64" ]; then
     if [ $ISINSTALL =  "1" ];then
       rpm -e $DRVNAME
     fi
     rpm -i *x86_64.rpm
    RPMRTN=`rpm -q cupsdrv_label`
    result=$(echo $RPMRTN | grep "cupsdrv_label-")
    if [ "$result" != "" ]; then
     echo "拷贝安装成功！"
    fi
   exit
elif [ $SYSARCH = "x86" ] && [ $DISTRO = "deb" ] && [ $DISBIT = "64" ]; then
   if [ $ISINSTALL =  "1" ];then
    dpkg -r $DRVNAME1
   fi
   dpkg -i *x86_64.deb
   exit
elif [ $SYSARCH = "x86" ] && [ $DISTRO = "deb" ] && [ $DISBIT = "32" ]; then
   if [ $ISINSTALL =  "1" ];then
    dpkg -r $DRVNAME1
   fi
    dpkg -i *i386.deb
   exit
fi
